Rensei docs
API ReferenceWorkflows

Read inbound webhook configuration without secret material.

Read inbound webhook configuration without secret material. - Rensei REST API operation reference.

GET
/api/workflows/{id}/inbound-webhook

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Path Parameters

id*string
Length1 <= length <= 256

Response Body

Endpoint configuration.

application/json
  1. response
id*string
workflowId*string
triggerId*string
mapping*
path*string
Example Request
curl -X GET 'https://app.rensei.ai/api/workflows/string/inbound-webhook'
Example Response
{  "id": "string",  "workflowId": "string",  "triggerId": "string",  "mapping": {    "property1": "string",    "property2": "string"  },  "path": "string"}